<ng-container *ngIf = "_reload">
    <div class = "container" *ngIf = "photo">
        <app-top-menu (loggedOut) = "UsrLoggedOut($event)" ></app-top-menu> 
        <!-------------------MOJ DEO:--------------------->
        <!-- TODO: make sections for editing current title and description-->
        <br><br>
        <!--Photo preview section-->
        <div class="frame">
            <img src="{{ apiService.url }}/photos/{{photo.id}}{{photo.extension}}" height="300px" width="300px"/>
        </div>        
        <!--Description section:-->
        <form #editForm = "ngForm" (ngSubmit) = "onSubmit(editForm)">   
            <div class="form-group">
                <label><b>Image title:</b></label>
                <input 
                    type="text" 
                    class="form-control" 
                    id="imageName" 
                    name = "imageName" 
                    [(ngModel)]="photo.title"
                    #title = "ngModel"
                    maxlength="255"
                    required
                    >
            </div>
            <span *ngIf = "title.errors?.required && (title.touched || submitTouched)" class="alert" >*Title is required</span>
            <span *ngIf = "title.errors?.maxlength && (title.touched || loginTouched )" class="alert" >*Title must be shorter then 255 characters</span>

            <div class="form-group">
                <label><b>Description:</b></label>
                <input  type="text" class="form-control" id="photoDesc" name="photoDesc" [(ngModel)]="photo.description" >
            </div>
            <label><b>Categories:</b></label>
            <div *ngFor = "let cat of categories" id="categories">
                <input type="radio" [value]="cat" [(ngModel)]="photo.category" [ngModelOptions]="{standalone: true}" > {{cat}}
            </div>
            <br>
        
            <!--Toggle switch:-->
            <table>
                <tr>
                    <td>Public</td>
                    <td>
                        <label class="switch">
                            <input [(ngModel)]="photo.is_private" [ngModelOptions]="{standalone: true}"  type="checkbox">
                            <span class="slider round"></span>
                        </label>
                    </td>
                    <td>Private</td>
                </tr>
            </table>
        
        
            <div class="mx-auto">
                <button style="margin-bottom:10px;" (click) = "onRemovePhoto()" type="reset" value="Reset" class="btn btn-danger">Remove photo</button><br>
                <button style="margin-right:10px;" type="submit" value="Submit" class="btn btn-outline-success">Submit changes</button>
                <button style="margin-right:10px;" type="reset" value="Reset" class="btn btn-outline-danger">Cancel</button>
            </div>
        </form>
    </div>
</ng-container>
